import es, gamethread, os

es.ServerVar('hlss_version', '1.0', 'Anti HLSS by Bonbon').makepublic()

def load():
	es.ServerVar('hlss_loop_time').set(2.5)
	es.ServerVar('hlss_kick_message').set('HLSS Variable Dectected, come back without HLSS!')
	es.ServerVar('hlss_ban_users').set(0)
	es.ServerVar('hlss_ban_time').set(5)
	es.ServerVar('hlss_warn_on_round_start').set(1)

	if not os.path.isfile(es.getAddonPath('hlss') + '/hlss.cfg'):
		es.dbgmsg(0, 'No config present under ./cstrike/addons/eventscripts/hlss/ !')
		return
	es.server.cmd('es_xmexec ../addons/eventscripts/hlss/hlss.cfg')

def player_activate(ev):
	es.queryclientvar(userid, 'voice_inputfromfile')

def round_start(ev):
	if int(es.ServerVar('hlss_warn_on_round_start')):
		es.msg('#multi', '#lightgreen[HLSS]: #defaultThis server is running #lightgreenAnti-Hlss#default, beware!')

def unload():
	gamethread.cancelDelayed('eating pie')

def eating_pie():
	gamethread.delayedname(float(es.ServerVar('hlss_loop_time')), 'eating pie', eating_pie)
	for userid in es.getUseridList():
		es.queryclientvar(userid, 'voice_inputfromfile')

def es_player_variable(ev):
	if ev['status'] == 'success' and ev['variable'] == 'voice_inputfromfile' and not ev['value'] == '0':
		if int(es.ServerVar('hlss_ban_users')):
			es.server.queuecmd('banid %s %s;writeid'%(ev['userid'], str(es.ServerVar('hlss_ban_time'))))
		es.server.queuecmd('kickid %s %s'%(ev['userid'], str(es.ServerVar('hlss_kick_message'))))

eating_pie()